<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['from']) && is_numeric($_GET['from'])) $from = abs(intval($_GET['from'])); else $from = $user_id;

	$arr_user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".abs(intval($_GET['from']))."' LIMIT 1"));
	if ($arr_user['ban'] == 1) exit;

require_once 'handler/del_cache.php';
require_once 'handler/upload.php';

$title = lang('Прикрепить файл','Прикріпити файл');
require_once '../incfiles/head.php';

echo '<div class="title">'.lang('Загрузить фотографию','Завантажити фотографію').'</div>';

if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `wall_cache` WHERE `user_id` = '".$user_id."' LIMIT 1"),0) == true) $arr_wall_cache = mysql_fetch_array(mysql_query("SELECT * FROM `wall_cache` WHERE `user_id` = '".$user_id."' LIMIT 1")); else $arr_wall_cache = false;

if ($arr_wall_cache == true && !empty($arr_wall_cache['photos']))
{
	echo '<div class="block">';
	$q = explode("||", substr($arr_wall_cache['photos'], 1, -1));
	$count = count($q);
	for ($i = 0; $i < $count; $i++)
	{
		echo '<a id="'.$i.'" class="del_cache" href="'.URL.'/wall/upload.php?del_photo='.$q[$i].'"><img class="preview_icons" src="'.URL.'/files/wall/'.$user_id.'/photos/icons/'.$q[$i].'"/></a>';
	}
	echo '</div>';
}

if ($arr_wall_cache['count_photos'] < 10)
{
	echo '<div class="block">
	<form id="form_upload" action="'.URL.'/wall/upload.php?from='.$from.'" method="post" enctype="multipart/form-data">
	<input class="input2" name="file" type="file" accept="image/jpeg,image/png,image/gif"/>
	<input class="button2" type="submit" name="upl" value="'.lang('Загрузить','Завантажити').'"/>
	</form>
	</div>';
}
echo '<div class="block"><a href="'.URL.'/?id='.$from.'" onclick="Page.Go(this.href); return false">Назад</a></div>
<div class="title">'.lang('Прикрепить','Прикріпити').'</div>
<div class="content_block">
<a href="'.URL.'/photos/?id='.$user_id.'&target=wall&from='.$from.'" onclick="Page.Go(this.href); return false"><li>'.lang('Фотографию','Фотографію').'</li></a>
<a href="'.URL.'/audio/?id='.$user_id.'&target=wall&from='.$from.'" onclick="Page.Go(this.href); return false"><li>'.lang('Аудиозапись','Аудіозапис').'</li></a>
<a href="'.URL.'/video/add_wall.php?id='.$user_id.'&target=wall&from='.$from.'" onclick="Page.Go(this.href); return false"><li>'.lang('Видеозапис','Відеозапис').'</li></a>

</div>';


require_once '../incfiles/foot.php';

?>